Class FSPostLogin
- java.lang.Object
-
- com.sun.identity.federation.login.FSPostLogin
-
public class FSPostLogin extends Object
This class defines methods which will be invoked post Single Sign-On/Federation.
-
-
Constructor Summary
Constructors Constructor Description FSPostLogin()
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description StringdoConsentToIntro(jakarta.servlet.http.HttpServletRequest request)Returns the introduction URL.StringdoFederation(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)Returns the URL to which request should be redirected for federation.voiddoPostLogin(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)Retreives and forwards request to URL after login.
-
-
-
Method Detail
-
doPostLogin
public void doPostLogin(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)Retreives and forwards request to URL after login.- Parameters:
request-HttpServletRequestobject.response-HttpServletResponseobject.
-
doConsentToIntro
public String doConsentToIntro(jakarta.servlet.http.HttpServletRequest request) throws FSPostLoginException
Returns the introduction URL.- Parameters:
request- theHttpServletRequestobject.- Returns:
- a String the Introduction URL.
- Throws:
FSPostLoginException- on error.
-
doFederation
public String doFederation(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws FSPostLoginException
Returns the URL to which request should be redirected for federation. This method reads the request parameters and creates an Authentication Request to send to initiate the Single Sign-On / Federation process.- Parameters:
request- theHttpServletRequestobject.response- theHttpServletResponseobject.- Returns:
- the URL to redirect request to.
- Throws:
FSPostLoginException- on error.
-
-